%define name zeitgeist
%define version 0.9.5
%define release %mkrel 2

Summary: Event logging framework for the desktop
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://launchpad.net/%name/0.9/%version/+download/%name-%version.tar.bz2
License: LGPLv3
Group: System/Libraries
Url:   http://zeitgeist-project.com/
BuildRequires: python-devel
BuildRequires: intltool
BuildRequires: xapian-devel
BuildRequires: raptor2
BuildRequires: python-rdflib
BuildRequires: pkgconfig(sqlite3)
BuildRequires: pkgconfig(dbus-1)
Requires: pygtk2.0
Requires: python-dbus
Requires: python-storm

%description
Zeitgeist is an "Event Logging Framework" that provides cross
application awareness of the desktop's activities.

You worked on a file, but you cannot remember where you saved it? You
visited a web page about basketball three days ago, but you cannot
find the URL in your browser's history? No problem, this is where
Zeitgeist enters the scene. It knows a lot about your activities and
has a feature rich D-Bus API which allows GUI applications like
gnome-zeitgeist, zeitgeistfs and others to present you your
activities in a readable way.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
%makeinstall_std pkgconfigdir=%_datadir/pkgconfig
%find_lang %name
rm -f %buildroot%_mandir/man1/%name-datahub.1*

rm -frv %buildroot%_prefix/doc/%name/{AUTHORS,NEWS}

%files -f %name.lang
%doc AUTHORS NEWS
%_bindir/%name-daemon
%_datadir/%name
%_datadir/dbus-1/services/org.gnome.zeitgeist.service
%_datadir/dbus-1/services/org.gnome.zeitgeist.fts.service
%_mandir/man1/%name-daemon.1*
%_libexecdir/zeitgeist-fts
%py_puresitedir/%name


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.9.5-2.mga3
+ Revision: 387665
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 dmorgan <dmorgan> 0.9.5-1.mga3
+ Revision: 338916
- New version 0.9.5

* Wed Aug 31 2011 fwang <fwang> 0.8.1.1-1.mga2
+ Revision: 136898
- new version 0.8.1.1

* Sat Mar 26 2011 dmorgan <dmorgan> 0.7.1-1.mga2
+ Revision: 77540
- Fix file list
- Fix package layout
- imported package zeitgeist

